This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 857502 - Please add bugfix for LP:1050962 to provide sane ip-based hostnames to instances
Please add bugfix for LP:1050962 to provide sane ip-based hostnames to instances
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 12:03 EDT by Andy Grimm
Modified: 2016-11-07 22:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-31 17:35:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-09-14 12:03:17 EDT
Description of problem:

On a cloud which provides an IP address for "local-hostname" via it's metadata service, instances end up with a hostname of "i"

How reproducible:

Always

Steps to Reproduce:
1. launch an instance which uses cloud-init
2. login
3. note the hostname in the shell prompt.  :)
  
Actual results:
hostname is "i"

Expected results:
hostname should be of the form "ip-xx-xx-xx-xx"

Additional Info:
https://code.launchpad.net/~agrimm/cloud-init/lp1050962
Comment 1 Fedora Update System 2012-12-13 15:27:15 EST
cloud-init-0.6.3-0.12.bzr532.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.12.bzr532.el6
Comment 2 Fedora Update System 2012-12-13 15:47:22 EST
cloud-init-0.6.3-0.12.bzr532.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cloud-init-0.6.3-0.12.bzr532.el5
Comment 3 Fedora Update System 2012-12-14 17:32:06 EST
Package cloud-init-0.6.3-0.12.bzr532.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cloud-init-0.6.3-0.12.bzr532.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13774/cloud-init-0.6.3-0.12.bzr532.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-31 17:35:29 EST
cloud-init-0.6.3-0.12.bzr532.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-31 17:36:24 EST
cloud-init-0.6.3-0.12.bzr532.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.